PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List channels GETCreate a channel POSTGet a channel GETUpdate a channel PATCHList channel messages GETCreate a message POSTUpdate a message PATCHDelete a message DELETE
Chats

Update a message

PATCH
/messages/{messageId}

Authorization

x-api-key<token>

In: header

Path Parameters

messageId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/messages/string" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "data": {    "id": "string",    "workspaceId": "string",    "channelId": "string",    "body": "string",    "authorNameSnapshot": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "editedAt": "2019-08-24T14:15:22Z"  }}

Create a message POST

Previous Page

Delete a message DELETE

Next Page

body*string